Name: xorg-drv-wizardpen
Version: 0.7.0
Release: alt1.M51.2

Summary: Genius WizardPen tablet driver for X.Org and XFree86
License: GPLv2
Group: System/X11
Url: https://launchpad.net/wizardpen
Packager: Paul Wolneykien <manowar@altlinux.ru>

Source0: %name-%version.tar.gz

Patch0: altlinux.patch

# Automatically added by buildreq on Tue Feb 10 2009
BuildRequires: gcc-c++ gcc-fortran rpm-macros-fillup xorg-inputproto-devel xorg-randrproto-devel xorg-sdk xorg-xproto-devel

%description
This is a X.Org and XFree86 4.x driver for the Genius WizardPen
and MousePen tablets. Other Genius USB tablets may be working too,
please report any experience with it, if you have one.

%define _fdidir %_datadir/hal/fdi/policy/20thirdparty
%define _udevlibdir /%_lib/udev/rules.d
%define _udevdir %_sysconfdir/udev/rules.d

%prep
%setup
%patch0 -p1

%build
%autoreconf -fi
./configure \
    --with-xorg-module-dir=%buildroot%{_libdir}/X11/modules \
    --with-udev-rules-dir=%buildroot%{_udevlibdir} \
    --with-udev-settings-rules-dir=%buildroot%{_udevdir} \
    --with-hal-fdi-dir=%buildroot%{_fdidir} \
    --with-xorg-conf-dir=%buildroot%{_sysconfdir}/X11/xorg.conf.d
%make_build

%install
%make_install install \
	bindir=%buildroot%_bindir \
	mandir=%buildroot%_mandir

%files
%_libdir/X11/modules/input/wizardpen_drv.so
%_bindir/wizardpen-calibrate
%_mandir/man4/wizardpen.4.gz
%_fdidir/*.fdi
%_udevlibdir/*.rules
%_udevdir/*.rules
#%_sysconfdir/X11/xorg.conf.d/70-wizardpen.conf

%changelog
* Thu Jun 17 2010 Paul Wolneykien <manowar@altlinux.ru> 0.7.0-alt1.M51.2
- Release 2 for the branch 5.1.

* Wed Jun 16 2010 Paul Wolneykien <manowar@altlinux.ru> 0.7.0-alt2
- Restore the FDI configuration for the Aiptek device.
- Install modules to the X11/modules/input directory.
- Do not install anything to the xorg.conf.d directory.

* Wed Jun 16 2010 Paul Wolneykien <manowar@altlinux.ru> 0.7.0-alt0.M51.1
- Release 1 for the branch 5.1.

* Wed Jun 16 2010 Paul Wolneykien <manowar@altlinux.ru> 0.7.0-alt1
- Import new version from the (re)-activated Launchpad upstream

* Tue May 19 2009 Paul Wolneykien <manowar@altlinux.ru> 0.6.0.2-alt4
- Removes the hysteresis in the threshold-based button event handling.

* Thu May 04 2009 Paul Wolneykien <manowar@altlinux.ru> 0.6.0.2-alt3
- Threshold-based button event.

* Thu Apr 30 2009 Paul Wolneykien <manowar@altlinux.ru> 0.6.0.2-alt2
- Fix button event handler.
- FDI for Hal based Xorg autoconfiguration included.
- Fix of the wrong InitValuatorClassDeviceStruct() call.

* Wed Feb 11 2009 Paul Wolneykien <manowar@altlinux.ru> 0.6.0.2-alt1
- Initial build of the version 0.6.0.2 for ALT Linux.

* Tue Feb 10 2009 Paul Wolneykien <manowar@altlinux.ru> 0.5.0-alt1
- Initial build for ALT Linux.
